Bug 234735 - net-mgmt/cacti : include/global_settings.php typo in Cacti 1.2.0
Summary: net-mgmt/cacti : include/global_settings.php typo in Cacti 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-08 10:30 UTC by Arnaud de Prelle
Modified: 2019-01-08 18:15 UTC (History)
3 users (show)

See Also:
freebsd-ports: maintainer-feedback+
freebsd-ports: merge-quarterly?


Attachments
Patch to solve a typo (679 bytes, patch)
2019-01-08 12:52 UTC, Arnaud de Prelle
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arnaud de Prelle 2019-01-08 10:30:11 UTC
Errors in Cacti log :
01/07/2019 16:10:15 - ERROR PHP PARSE: syntax error, unexpected '/' in file: /usr/local/share/cacti/include/global_settings.php on line: 166
01/07/2019 16:10:15 - CMDPHP PHP ERROR Backtrace:  (CactiShutdownHandler())


Fix :
--- global_settings.php.old     2019-01-08 11:28:19.120802000 +0100
+++ global_settings.php 2019-01-07 16:11:38.831897000 +0100
@@ -163,7 +163,7 @@
                        'description' => __('The path to your Cacti log file (if blank, defaults to /var/log/cacti/log)'),
                        'method' => 'filepath',
                        'file_type' => 'ascii',
-                       'default' => /var/log/cacti/log',
+                       'default' => '/var/log/cacti/log',
                        'max_length' => '255',
                        'install_check' => 'writable'
                        ),
Comment 1 Daniel Austin 2019-01-08 12:45:41 UTC
(In reply to Arnaud de Prelle from comment #0)
Wow, good catch... can't believe I missed that.

Could you attach the diff as an attachment to this bug so I can ask a committer to submit it?  If not, i'll add one once I get home this evening (i'm at work at the moment)

Thanks!
Comment 2 Arnaud de Prelle 2019-01-08 12:52:04 UTC
Created attachment 200909 [details]
Patch to solve a typo
Comment 3 Arnaud de Prelle 2019-01-08 12:56:53 UTC
Hi @Daniel(In reply to Daniel Austin from comment #1)

I just did it but I'm not sure it's done correctly...
I'll let you check and upload a new version if needed ?
Comment 4 Daniel Austin 2019-01-08 14:00:34 UTC
(In reply to Arnaud de Prelle from comment #3)
Looks good to me.


Committer: please could you commit this to both head and quarterly?
Comment 5 commit-hook freebsd_committer 2019-01-08 18:14:49 UTC
A commit references this bug:

Author: swills
Date: Tue Jan  8 18:13:56 UTC 2019
New revision: 489731
URL: https://svnweb.freebsd.org/changeset/ports/489731

Log:
  net-mgmt/cacti: fix typo

  PR:		234735
  Submitted by:	Daniel Austin <freebsd-ports@dan.me.uk> (maintainer)
  Reported by:	Arnaud de Prelle <arnaud@pnzone.net>

Changes:
  head/net-mgmt/cacti/Makefile
  head/net-mgmt/cacti/files/patch-include__global_settings.php
Comment 6 Steve Wills freebsd_committer 2019-01-08 18:15:23 UTC
Committed, thanks!